<?xml version="1.0" encoding="UTF-8"?>
<style-scheme id="tempus-totus" _name="Tempus Totus" version="1.0">
  <author>Protesilaos Stavrou (https://protesilaos.com)</author>
  <_description>Light theme for prose or for coding in an open space (WCAG AAA compliant)</_description>

  <!-- Palette -->
  <color name="col0" value="#4a484d"/>
  <color name="col1" value="#a80000"/>
  <color name="col2" value="#005f26"/>
  <color name="col3" value="#714900"/>
  <color name="col4" value="#1d3fcf"/>
  <color name="col5" value="#882a7a"/>
  <color name="col6" value="#185870"/>
  <color name="col7" value="#f3f1f3"/>
  <color name="col8" value="#5f4d4f"/>
  <color name="col9" value="#9b2230"/>
  <color name="col10" value="#4a5700"/>
  <color name="col11" value="#8b3800"/>
  <color name="col12" value="#2d48b0"/>
  <color name="col13" value="#7310cb"/>
  <color name="col14" value="#005589"/>
  <color name="col15" value="#ffffff"/>

  <!-- Base values -->
  <color name="colbg" value="#ffffff"/>
  <color name="colbgalt" value="#f3f1f3"/>
  <color name="colbgdim" value="#f9f8f9"/>
  <color name="colfg" value="#4a484d"/>
  <color name="colfgalt" value="#5f4d4f"/>
  <color name="colcr" value="#4a484d"/>

  <!-- Extra values -->
  <color name="colwarn" value="#1d3fcf"/>
  <color name="colerr" value="#a80000"/>
  <color name="colnote" value="#005f26"/>

  <!-- Global Settings -->
  <style name="text" foreground="colfg" background="colbg"/>
  <style name="line-numbers" foreground="colfgalt" background="colbgalt"/>
  <style name="current-line" background="colbgdim"/>
  <style name="current-line-number" foreground="colfgalt" background="colbgalt" bold="true"/>
  <style name="draw-spaces" foreground="colfgalt"/>
  <style name="background-pattern" background="colbg"/>

  <!-- Bracket Matching -->
  <style name="bracket-match" foreground="colbg" background="col13"/>
  <style name="bracket-mismatch" foreground="colbg" background="col3"/>

  <!-- Right Margin -->
  <style name="right-margin" foreground="colfgalt" background="colbgalt"/>

  <!-- Search Matching -->
  <style name="search-match" foreground="colbg" background="col2" bold="true"/>

  <!-- Comments -->
  <style name="def:comment" foreground="colfgalt" italic="true"/>
  <style name="def:shebang" foreground="colfgalt" bold="true" italic="true"/>
  <style name="def:doc-comment-element" italic="true"/>

  <!-- Constants -->
  <style name="def:constant" foreground="col4"/>
  <style name="def:special-char" foreground="col11" bold="true"/>

  <!-- Identifiers -->
  <style name="def:identifier" foreground="col13"/>

  <!-- Statements -->
  <style name="def:statement" foreground="col10" bold="true"/>

  <!-- Types -->
  <style name="def:type" foreground="col6" bold="true"/>

  <!-- Others -->
  <style name="def:preprocessor" foreground="col9"/>
  <style name="def:error" underline="single" underline-color="colerr" foreground="colerr"/>
  <style name="def:warning" underline="single" underline-color="colwarn" foreground="colwarn"/>
  <style name="def:note" underline="single" underline-color="colnote" foreground="colnote"/>
  <style name="def:underlined" italic="true" underline="single"/>

  <!-- Heading styles, uncomment to enable -->
  <!--
  <style name="def:heading0" scale="5.0"/>
  <style name="def:heading1" scale="2.5"/>
  <style name="def:heading2" scale="2.0"/>
  <style name="def:heading3" scale="1.7"/>
  <style name="def:heading4" scale="1.5"/>
  <style name="def:heading5" scale="1.3"/>
  <style name="def:heading6" scale="1.2"/>
  -->

  <!-- Language specific styles -->
  <style name="diff:added-line" foreground="colbg" background="col2" bold="true"/>
  <style name="diff:removed-line" foreground="colbg" background="col1" bold="true"/>
  <style name="diff:changed-line" use-style="def:preprocessor"/>
  <style name="diff:special-case" use-style="def:constant"/>
  <style name="diff:location" use-style="def:statement"/>
  <style name="diff:diff-file" use-style="def:type"/>

</style-scheme>
